below is some code for selecting blocks. i would like to select all arcs nested in the blocks and force them to a continous linetype. i thought of using refedit but that expects a single object. the blocks have multiple names. i can select the blocks needed but I am stuck on where to go next.
Code:
(DEFUN C:hf ()
(SETQ SCMDE (GETVAR "CMDECHO")) ;RETRIEVES COMMAND ECHO STATUS
(SETVAR "CMDECHO" 0) ;SETS COMMAND ECHO STATUS TO "0" (TURNS IT OFF)
(INITGET (+ 1 0 4 8 32))
(SETQ SS1 (SSGET "x" '((0 . "INSERT")(-4 . "<XOR")(8 . "a-hist")(8 . "a-hist-2000")(-4 . "XOR>"))))
;RETRIEVES ALL History ENTITIES
[COLOR=red]????????????????????????????? ;retrieves all arcs in block and forces linetype to by layer [/color]
(COMMAND "REDRAW") ;REFRESH SCREEN DISPLAY
(SETVAR "CMDECHO" SCMDE) ;RESTORES COMMAND ECHO TO ORIGINAL VALUE
(PRINC) ;PRINTS nil WHEN FINISHED (QUIET EXIT)
)